Redmine - Defect #23224

Datepicker doesn’t obey the user's settings format
2016-07-01 16:20 - Maxim KruSina

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version:

Resolution: Affected version: 3.3.0
Description

| would like to use date format: yyyy-mm-dd (so | have this time format in my settings), but redmine is displaying probably the
browser's default langaue date format - see screenshots.

Related issues:

Related to Redmine - Defect #23414: Datepickers don't show in Firefox Closed

Related to Redmine - Feature #23892: Switch date pickers embedded in browsers... New

Related to Redmine - Defect #35225: Edit issue shows date in MM/DD/YYYY while... Resolved

Related to Redmine - Defect #668: Date input fields don't respect date format... New 2008-02-15
Has duplicate Redmine - Defect #24575: Inconsistent date format in Date pickers Closed

Has duplicate Redmine - Defect #34772: edit in issues has wrong date format f... Closed

Has duplicate Redmine - Defect #37757: Time entry date doesn't respect the Se... Closed

Has duplicate Redmine - Defect #40570: Date Format is taken from OS settings ... Closed

History

#1 - 2016-07-01 17:23 - Toshi MARUYAMA
Ref: #19468#note-6.

#2 - 2016-07-01 17:25 - Toshi MARUYAMA

- Category changed from Issues to Ul

#3 - 2016-07-01 17:26 - Toshi MARUYAMA

- Subject changed from Time selector doesn't obey the user's settings format to Datepicker doesn't obey the user's settings format

#4 - 2016-07-05 12:01 - Sebastian Paluch

Maybe a settings to not use browsers data picker would solve the problem?

#5 - 2016-08-23 17:59 - Luc Luc

- File 01-redmine-settings.png added

- File 02-date-picker.png added

- File 03-date-picker-expanded.png added
- File 04-date-value.png added

Yes, making native date&time pickers optional (or just not use them at all) would be great.

There is absolutely no way for me to get ISO8601 date format (YYYY-MM-DD) with Chrome's/Chromium'’s native date&time pickers.
Also, with native ones, there are inconsistencies between the settings, displayed date values and date&time pickers (see attachments).

Thanks,
Luc

#6 - 2016-08-23 18:43 - Luc Luc

- File revert-native-date-pickers.patch added

Maxim Krusina, as a temporary solution | ended up reverting c418fab8a76b7672c4f341fb7c3e203ae92b50c0 - Use HTMLS5 date input fields instead
of text fields with jquery ui date pickers (#19468) and everything is back to normal for me.

Thanks,
Luc

#7 - 2016-09-22 14:55 - Toshi MARUYAMA
- Related to Defect #23414: Datepickers don't show in Firefox added

#8 - 2016-09-22 14:55 - Toshi MARUYAMA
- Related to Feature #23892: Switch date pickers embedded in browsers or bundled in redmine added

#9 - 2016-09-22 15:33 - Pavel Potcheptsov
Luc Luc wrote:

Yes, making native date&time pickers optional (or just not use them at all) would be great.

+1

#10 - 2016-12-10 10:53 - Go MAEDA

- Has duplicate Defect #24575: Inconsistent date format in Date pickers added

#11 - 2017-05-25 15:03 - Luc Luc

Version 3.3.3 is still affected by this issue.

Thanks,
Luc

#12 - 2018-10-30 15:16 - Luc Luc

Same problem on 3.4.6 (two years later); basically after each Redmine update we have to touch the code and disable native date pickers.
Patch #19468 is so unfortunate, it makes all date related fields inconsistent and confusing.

| see there are not many people complaining about this issue - is it some simple workaround for it? Any suggestions would be more than welcome.

Thanks,
Luc

#13 - 2021-02-20 06:24 - Go MAEDA

- Has duplicate Defect #34772: edit in issues has wrong date format for due date/start date added

#14 - 2021-05-19 22:24 - Luc Luc

The patch proposed in #31300 solves the problem (applied to version 4.2).
Finally consistent ISO date format again without constantly reverting old patches.
Thank you.

#15 - 2021-08-14 09:35 - Mischa The Evil
- Related to Defect #35225: Edit issue shows date in MM/DD/YYYY while the rest of the application shows YYYY/MM/DD added

#16 - 2021-08-14 09:36 - Mischa The Evil
- Related to Defect #668: Date input fields don't respect date format settings added

#17 - 2022-10-10 19:01 - Holger Just
- Has duplicate Defect #37757: Time entry date doesn't respect the Settings given format added

#18 - 2024-04-17 21:19 - Holger Just

- Has duplicate Defect #40570: Date Format is taken from OS settings ignoring redmine admin configuration added

Files
